---
search:
  tags:
    - Product Lists V2
    - POST
seo:
  description: >-
    Bulk-creates product lists. Successful entities are… Reference for the POST
    /api/v2/{team_slug}/{app_slug}/product-lists endpoint in the Management API
    v2.
sidebar:
  label: Create product lists
  badge: POST
title: Create product lists
type: openapi-operation
---
Bulk-creates product lists. Successful entities are returned in data; per-item failures in errors keyed by slug.

`POST /api/v2/{team_slug}/{app_slug}/product-lists`

**Request body** (`application/json`, required)

- `product_lists` (CreateProductListItem[], required)

Request body example:

```json
{
  "product_lists": [
    {
      "title": "string",
      "slug": "string",
      "html_description": "string",
      "meta_title": "string",
      "meta_description": "string",
      "static": true
    }
  ]
}
```

**Responses**

- `201` — Created (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 201:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "slug": "string",
      "html_description": "string",
      "static": true,
      "meta_title": "string",
      "meta_description": "string",
      "translations": {
        "title": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "slug": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "html_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_title": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "rules": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "product_list_id": "0f6ee94d-19db-428e-bfbb-16abab301909",
          "target": "stock",
          "operator": "less-than",
          "target_ids": [
            "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          ],
          "target_stock": 0,
          "target_price_cents": 0,
          "target_is_on_sale": true,
          "store_group_id": "6c760e36-a704-4b09-93bb-c191a46ca67f",
          "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "message": "string"
    }
  ]
}
```
